For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update accounting config entry

Updates the accounting configs entry belonging to the supplied accountingConfigsUid

Required permissions: ACCOUNTING_CONFIG

put
/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
accountingConfigUidstringRequired

Reference to a Accounting Configs entry.

Pattern: ^[A-Za-z0-9-_]+
Body
valuestringRequired
Responses
200

Response body containing a accounting config entry

Accounting configs model

accountingConfigsUidstringRequired
configTypestring · enumRequiredPossible values:
keystring · enumRequiredPossible values:
valuestringRequired
vatCodeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
productGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]*
put/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/{accountingConfigUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "value": "text"
}
200

Response body containing a accounting config entry

{
  "accountingConfigsUid": "text",
  "configType": "ACCOUNTNUMBER",
  "key": "CUSTOMER",
  "value": "text",
  "vatCodeUid": "text",
  "productGroupUid": "text"
}

Last updated

Was this helpful?